=== Samples/MWClosestPointApp/Makefile ===
include ../../ThirdParty/PSCommon/BuildSystem/CommonDefs.mak

BIN_DIR = ../../Bin

INC_DIRS = \
	../../Include \
	../MWClosestPoint

SRC_FILES = *.cpp

USED_LIBS += OpenNI2 MWClosestPoint

EXE_NAME = MWClosestPointApp

CFLAGS += -Wall

include ../../ThirdParty/PSCommon/BuildSystem/CommonCppMakefile
