=== debian/changelog ===
openni2 (2.1.0.4-1~ppa2~quantal1) quantal; urgency=low

  * Add 0008-upstream-absolute-filename.patch.

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Tue, 20 Aug 2013 23:56:09 +0200

openni2 (2.1.0.4-1~ppa1~raring4) raring; urgency=low

  * Fix 0007-Link-NiViewer-against-ptherad-DSO-on-Ubuntu-raring.patch.

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Sun, 26 May 2013 11:24:19 +0200

openni2 (2.1.0.4-1~ppa1~raring3) raring; urgency=low

  * Add 0007-Link-NiViewer-against-ptherad-DSO-on-Ubuntu-raring.patch.

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Sat, 25 May 2013 10:31:28 +0200

openni2 (2.1.0.4-1~ppa1~raring2) raring; urgency=low

  * Add dependency to libjpeg-dev

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Fri, 24 May 2013 16:17:13 +0200

openni2 (2.1.0.4-1~ppa1~raring1) raring; urgency=low

  [ Hauke Wintjen ]
  * Added raspberryPi fixes from branch raspberrypi-fixes and updated patches
  * Ignore quilt .pc dir

  [ Julius Kammerl ]
  * fixing pkg-config configuration

  [ Hauke Wintjen ]
  * Dont install SimpleViewer binary as a sample.
  * Install ini files into /etc/openni2/
  * Also load OpenNi.ini from /etc/openni2
  * Install and clean html doxygen docs as part of openni2 package.
  * Dont install SimpleViewer binary as a sample.
  * Install ini files into /etc/openni2/
  * Also load OpenNi.ini from /etc/openni2
  * Install and clean html doxygen docs as part of openni2 package.

  [ Jochen Sprickerhof ]
  * Initial release.
  * Include udev rules
  * Start SONAME with 0 and make OpenNI aware of it
  * Fix installation of shared objects
  * Remove unneeded dependencies
  * Rename libopenni2 to libopenni2-0 (according to SONAME)
  * Rename NiViewer to NiViewer2 to resolve conflict with OpenNI1
  * Disable SSE during build

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Fri, 24 May 2013 08:35:21 +0200
