=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=makefile

override_dh_auto_build:
	make
	-( cd Source/Documentation ; python ./Runme.py )
	 cd Bin/*-Release/ && mv NiViewer NiViewer2

override_dh_shlibdeps:
	dh_shlibdeps -- --ignore-missing-info

override_dh_auto_clean:
	dh_auto_clean
	rm -rf -- Source/Documentation/html/
	rm -rf -- Source/Documentation/Temp/
	rm -rf -- Bin/Intermediate
	rm -rf -- Bin/*-Release
	rm -rf -- ThirdParty/PSCommon/XnLib/Bin/*-Release
	rm -rf -- ThirdParty/PSCommon/XnLib/Bin/Intermediate
