## openni2 2.2.0.33%2Bdfsg

=== Samples/MWClosestPoint/Makefile ===
include ../../ThirdParty/PSCommon/BuildSystem/CommonDefs.mak

BIN_DIR = ../../Bin

INC_DIRS = \
	../../Include

SRC_FILES = *.cpp

USED_LIBS += OpenNI2

LIB_NAME = MWClosestPoint

CFLAGS += -Wall -D_CLOSEST_POINT

include ../../ThirdParty/PSCommon/BuildSystem/CommonCppMakefile
