=== Wrappers/java/OpenNI.java/Makefile ===
include ../../../ThirdParty/PSCommon/BuildSystem/CommonDefs.mak

BIN_DIR = ../../../Bin

SRC_FILES = \
	src/org/openni/*.java

JAR_NAME = org.openni

include ../../../ThirdParty/PSCommon/BuildSystem/CommonJavaMakefile
