=== Samples/ClosestPointViewer/Makefile ===
--- 
+++ 
@@ -5,7 +5,8 @@
 INC_DIRS = \
 	../../Include \
 	../ \
-	../../ThirdParty/GL/
+	../../ThirdParty/GL/ \
+	../Common
 
 SRC_FILES = *.cpp
