=== Samples/MWClosestPointApp/Makefile ===
--- 
+++ 
@@ -4,7 +4,8 @@
 
 INC_DIRS = \
 	../../Include \
-	../MWClosestPoint
+	../MWClosestPoint \
+	../Common
 
 SRC_FILES = *.cpp
