=== Samples/MultiDepthViewer/Makefile ===
--- 
+++ 
@@ -4,7 +4,8 @@
 
 INC_DIRS = \
 	../../Include \
-	../../ThirdParty/GL/
+	../../ThirdParty/GL/ \
+	../Common
 
 SRC_FILES = *.cpp
