=== Samples/SimpleRead/Makefile ===
--- 
+++ 
@@ -3,7 +3,8 @@
 BIN_DIR = ../../Bin
 
 INC_DIRS = \
-	../../Include
+	../../Include \
+	../Common
 
 SRC_FILES = *.cpp
