=== Samples/SimpleViewer.java/Makefile ===
include ../../ThirdParty/PSCommon/BuildSystem/CommonDefs.mak

BIN_DIR = ../../Bin

SRC_FILES = \
	src/org/openni/Samples/SimpleViewer/*.java

JAR_NAME = org.openni.Samples.SimpleViewer
USED_JARS = org.openni
MAIN_CLASS = org.openni.Samples.SimpleViewer.SimpleViewerApplication

include ../../ThirdParty/PSCommon/BuildSystem/CommonJavaMakefile
