=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+CFLAGS = -fno-stack-protector
+CXXFLAGS = -fno-stack-protector
 
 %:
 	dh $@ --buildsystem=makefile
@@ -15,8 +18,10 @@
 	dh_auto_clean
 	rm -rf -- Source/Documentation/html/
 	rm -rf -- Source/Documentation/Temp/
+	rm -rf -- Source/Documentation/java/
 	rm -rf -- Bin/Intermediate
 	rm -rf -- Bin/*-Release
 	rm -rf -- ThirdParty/PSCommon/XnLib/Bin/*-Release
 	rm -rf -- ThirdParty/PSCommon/XnLib/Bin/Intermediate
+	rm -rf -- Source/Documentation/doxygen_sqlite3.db
